Subject: Re: [PATCH 5/8] pack-bitmap-write.c: select pseudo-merges even for small bitmaps

From: Junio C Hamano <[email-masked]>
Date: Sat, 17 Aug 2024 09:42:01 -0700

Jeff King <[email-masked]> writes:

>> Select pseudo-merges even for bitmaps with fewer than 100 commits to
>> make such testing easier. In practice, this should not make a difference
>> to non-testing bitmaps, as they are unlikely to be used when a
>> repository has so few commits to begin with.
>
> I think you could argue that if there are fewer than 100 commits in the
> history that pseudo-merge bitmaps are overkill, so it does not matter
> much either way. But I think being consistent with our behavior (i.e.,
> generating them if asked) is important for testing and debugging.

OK.  I had an opposite reaction to this change, i.e. "eh, are we
lifting the safety that protected the users from asking for a
suboptimal way to pack, only to make it easier to write this test?",
but I do buy "the user tells us to do the suboptimal thing, we do
that thing."